/*                      QBCC Project

This source file is licensed under the GNU Lesser Public Licence which should be 
included with the distribution of this source.

*/
// Quick Basic Compatible Compiler String Structure

#ifndef __STRING_H__
#define __STRING_H__

// String Structure
typedef struct string {
	short length;
	char *ptr;
} string;


// Prototypes
string *strVcpy(char *fmt, ...);
int strQcmp(string *s1, string *s2);
string NewString(void);
string *NewPTRString(void);

#endif  //  __STRING_H__